<html>
	<head>
		<meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>Aide à la précarité</title>
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<link rel="stylesheet" type="text/css" href="selfie/style.css">
	</head>
	<body>
		<div id="mobile" style="display:none;">
			<input type="file" accept="image/*" capture="camera" />
		</div>

		<div id="container" style="display:none; width: 70%;">

			<div id="vid_container">
			<video id="video" autoplay playsinline></video>
			<div id="video_overlay"></div>
			<canvas id="canvas"></canvas>
			</div>

			<div id="gui_controls">
			<div id="rebour" style="color:white;font-size: 100px;text-align: center;"></div>
			<button id="switchCameraButton" name="switch Camera" type="button" aria-pressed="false"></button>
			<button id="takePhotoButton" name="take Photo" type="button" onclick="takepicture()"></button>
			<button id="toggleFullScreenButton" name="toggle FullScreen" type="button" aria-pressed="false"></button>
			</div>

		</div>

		<div id="after_the_picture" style="display:none;">
				<header>
					<nav>
						<a id="but_menu"><img id="barre_menu" src="img/menu_icon.png" alt=""></a>
						<a href="index.html"><h1><b>Aide à la précarité</b></h1></a>
						
						<div id="menu_pc">
						
							<a class="but_aide">Les aides</a>
							<a href="selfie.html">Un selfie ?</a>
							<a href="team.html">L'équipe</a>
							<ul>
								<li class="sous_menu">
									<a href="bourse.html">Bourse</a>
									<a href="logement.html">Logement</a>
									<!--<a href="transport.html">Transport</a>-->
									<a href="sante.html">Santé</a>
								</li>
							</ul>
						</div>
						
						<div id="menu">
							<a class="but_aide">Les aides</a>
							<div class="sous_menu">
								<a href="bourse.html">Bourse</a>
								<a href="logement.html">Logement</a>
								<!--<a href="transport.html">Transport</a>-->
								<a href="sante.html">Santé</a>
							</div>
							<a href="selfie.html">un selfie ?</a>
							<a href="team.html">L'équipe</a>
						</div>
					</nav>
				</header>	
				<main>
					<input type="button" name="Downict" value="Télécharger la photo" onclick="downpicture()" style="margin:2.5% 45%;">
					<img src="http://placekitten.com/g/320/261" id="photo">
				</main>
			</div>
		</div>
	</main>
  <script type="text/javascript">
    var data;
    if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
      document.getElementById('container').style.display = 'none';
      document.getElementById('mobile').style.display = 'inline';
    } else {
      document.getElementById('mobile').style.display = 'none';
      document.getElementById('container').style.display = 'inline';

      function downloadURI(uri, name) {
        var link = document.createElement('a');
        link.download = name;
        link.href = uri;
        document.body.appendChild(link);
        link.click();
        document.body.removeChild(link);
        delete link;
      }

      function takepicture() {
        const second = 800;
        var i = 3;
        x = setInterval(function() {

          if(i < 1){
            next();
            clearInterval(x);
          }
          document.getElementById('rebour').innerText = i;
          i--;
        }, second)
      }

      function next(){
        var width = 1280    
        var height = 720;
        canvas.width = width;
        canvas.height = height;
        canvas.getContext('2d').drawImage(video, 0, 0, width, height);
        data = canvas.toDataURL('image/png');
        document.getElementById('photo').setAttribute('src', data);
        document.getElementById('container').style.display = 'none';
        document.getElementById('mobile').style.display = 'none';
        document.getElementById('after_the_picture').style.display = 'inline';
      }
    }

    function downpicture(){
      downloadURI(data, 'Selfie.png');
    }

</script>
</script>
<script src="selfie/js/DetectRTC.min.js"></script>
<script src="selfie/js/adapter.min.js"></script>  
<script src="selfie/js/screenfull.min.js"></script>
<script src="selfie/js/howler.core.min.js"></script>
<script src="selfie/js/main.js"></script>
<script src="js/jquery.js"></script>
<script src="js/script.js"></script>
</body>
</html>